searchData={"items":[{"type":"module","title":"Supabase.PostgREST","doc":"Provides a suite of functions to interact with a Supabase PostgREST API, allowing\nfor construction and execution of queries using a fluent interface. This module is designed\nto facilitate the building of complex queries and their execution in the context of a Supabase\ndatabase application.\n\nFor detailed usage examples and more information, refer to the official Supabase documentation:\nhttps://supabase.com/docs","ref":"Supabase.PostgREST.html"},{"type":"function","title":"Supabase.PostgREST.all_of/2","doc":"","ref":"Supabase.PostgREST.html#all_of/2"},{"type":"function","title":"Supabase.PostgREST.all_of/3","doc":"","ref":"Supabase.PostgREST.html#all_of/3"},{"type":"function","title":"Supabase.PostgREST.any_of/2","doc":"","ref":"Supabase.PostgREST.html#any_of/2"},{"type":"function","title":"Supabase.PostgREST.any_of/3","doc":"","ref":"Supabase.PostgREST.html#any_of/3"},{"type":"function","title":"Supabase.PostgREST.contained_by/3","doc":"","ref":"Supabase.PostgREST.html#contained_by/3"},{"type":"function","title":"Supabase.PostgREST.contains/3","doc":"","ref":"Supabase.PostgREST.html#contains/3"},{"type":"function","title":"Supabase.PostgREST.csv/1","doc":"","ref":"Supabase.PostgREST.html#csv/1"},{"type":"function","title":"Supabase.PostgREST.delete/1","doc":"","ref":"Supabase.PostgREST.html#delete/1"},{"type":"function","title":"Supabase.PostgREST.delete/2","doc":"","ref":"Supabase.PostgREST.html#delete/2"},{"type":"function","title":"Supabase.PostgREST.eq/3","doc":"","ref":"Supabase.PostgREST.html#eq/3"},{"type":"function","title":"Supabase.PostgREST.execute/1","doc":"Executes the query built using the Builder instance and returns the result.","ref":"Supabase.PostgREST.html#execute/1"},{"type":"function","title":"Parameters - Supabase.PostgREST.execute/1","doc":"- `builder`: The Builder or Builder instance to execute.","ref":"Supabase.PostgREST.html#execute/1-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.execute/1","doc":"iex> PostgREST.execute(builder)","ref":"Supabase.PostgREST.html#execute/1-examples"},{"type":"function","title":"See also - Supabase.PostgREST.execute/1","doc":"- Supabase query execution: https://supabase.com/docs/reference/javascript/performing-queries","ref":"Supabase.PostgREST.html#execute/1-see-also"},{"type":"function","title":"Supabase.PostgREST.execute_string/1","doc":"Executes the query and returns the result as a JSON-encoded string.","ref":"Supabase.PostgREST.html#execute_string/1"},{"type":"function","title":"Parameters - Supabase.PostgREST.execute_string/1","doc":"- `builder`: The Builder or Builder instance to execute.","ref":"Supabase.PostgREST.html#execute_string/1-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.execute_string/1","doc":"iex> PostgREST.execute_string(builder)","ref":"Supabase.PostgREST.html#execute_string/1-examples"},{"type":"function","title":"See also - Supabase.PostgREST.execute_string/1","doc":"- Supabase query execution and response handling: https://supabase.com/docs/reference/javascript/performing-queries","ref":"Supabase.PostgREST.html#execute_string/1-see-also"},{"type":"function","title":"Supabase.PostgREST.execute_to/2","doc":"Executes the query and maps the resulting data to a specified schema struct, useful for casting the results to Elixir structs.","ref":"Supabase.PostgREST.html#execute_to/2"},{"type":"function","title":"Parameters - Supabase.PostgREST.execute_to/2","doc":"- `builder`: The Builder or Builder instance to execute.\n- `schema`: The Elixir module representing the schema to which the results should be cast.","ref":"Supabase.PostgREST.html#execute_to/2-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.execute_to/2","doc":"iex> PostgREST.execute_to(builder, User)","ref":"Supabase.PostgREST.html#execute_to/2-examples"},{"type":"function","title":"See also - Supabase.PostgREST.execute_to/2","doc":"- Supabase query execution and schema casting: https://supabase.com/docs/reference/javascript/performing-queries","ref":"Supabase.PostgREST.html#execute_to/2-see-also"},{"type":"function","title":"Supabase.PostgREST.execute_to_finch_request/1","doc":"Executes a query using the Finch HTTP client, formatting the request appropriately. Returns the HTTP request without executing it.","ref":"Supabase.PostgREST.html#execute_to_finch_request/1"},{"type":"function","title":"Parameters - Supabase.PostgREST.execute_to_finch_request/1","doc":"- `builder`: The Builder or Builder instance to execute.\n- `schema`: Optional schema module to map the results.","ref":"Supabase.PostgREST.html#execute_to_finch_request/1-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.execute_to_finch_request/1","doc":"iex> PostgREST.execute_to_finch_request(builder, User)","ref":"Supabase.PostgREST.html#execute_to_finch_request/1-examples"},{"type":"function","title":"See also - Supabase.PostgREST.execute_to_finch_request/1","doc":"- Supabase query execution: https://supabase.com/docs/reference/javascript/performing-queries","ref":"Supabase.PostgREST.html#execute_to_finch_request/1-see-also"},{"type":"function","title":"Supabase.PostgREST.explain/1","doc":"","ref":"Supabase.PostgREST.html#explain/1"},{"type":"function","title":"Supabase.PostgREST.explain/2","doc":"","ref":"Supabase.PostgREST.html#explain/2"},{"type":"function","title":"Supabase.PostgREST.filter/4","doc":"","ref":"Supabase.PostgREST.html#filter/4"},{"type":"function","title":"Supabase.PostgREST.from/2","doc":"Initializes a `Builder` for a specified table and client.","ref":"Supabase.PostgREST.html#from/2"},{"type":"function","title":"Parameters - Supabase.PostgREST.from/2","doc":"- `client`: The Supabase client used for authentication and configuration.\n- `table`: The database relation name as a string.","ref":"Supabase.PostgREST.html#from/2-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.from/2","doc":"iex> PostgREST.from(client, \"users\")\n    %Builder{}","ref":"Supabase.PostgREST.html#from/2-examples"},{"type":"function","title":"See also - Supabase.PostgREST.from/2","doc":"- Supabase documentation on initializing queries: https://supabase.com/docs/reference/javascript/from","ref":"Supabase.PostgREST.html#from/2-see-also"},{"type":"function","title":"Supabase.PostgREST.geojson/1","doc":"","ref":"Supabase.PostgREST.html#geojson/1"},{"type":"function","title":"Supabase.PostgREST.gt/3","doc":"","ref":"Supabase.PostgREST.html#gt/3"},{"type":"function","title":"Supabase.PostgREST.gte/3","doc":"","ref":"Supabase.PostgREST.html#gte/3"},{"type":"function","title":"Supabase.PostgREST.ilike/3","doc":"","ref":"Supabase.PostgREST.html#ilike/3"},{"type":"function","title":"Supabase.PostgREST.ilike_all_of/3","doc":"","ref":"Supabase.PostgREST.html#ilike_all_of/3"},{"type":"function","title":"Supabase.PostgREST.ilike_any_of/3","doc":"","ref":"Supabase.PostgREST.html#ilike_any_of/3"},{"type":"function","title":"Supabase.PostgREST.insert/2","doc":"","ref":"Supabase.PostgREST.html#insert/2"},{"type":"function","title":"Supabase.PostgREST.insert/3","doc":"","ref":"Supabase.PostgREST.html#insert/3"},{"type":"function","title":"Supabase.PostgREST.is/3","doc":"","ref":"Supabase.PostgREST.html#is/3"},{"type":"function","title":"Supabase.PostgREST.like/3","doc":"","ref":"Supabase.PostgREST.html#like/3"},{"type":"function","title":"Supabase.PostgREST.like_all_of/3","doc":"","ref":"Supabase.PostgREST.html#like_all_of/3"},{"type":"function","title":"Supabase.PostgREST.like_any_of/3","doc":"","ref":"Supabase.PostgREST.html#like_any_of/3"},{"type":"function","title":"Supabase.PostgREST.limit/2","doc":"","ref":"Supabase.PostgREST.html#limit/2"},{"type":"function","title":"Supabase.PostgREST.limit/3","doc":"","ref":"Supabase.PostgREST.html#limit/3"},{"type":"function","title":"Supabase.PostgREST.lt/3","doc":"","ref":"Supabase.PostgREST.html#lt/3"},{"type":"function","title":"Supabase.PostgREST.lte/3","doc":"","ref":"Supabase.PostgREST.html#lte/3"},{"type":"function","title":"Supabase.PostgREST.match/2","doc":"","ref":"Supabase.PostgREST.html#match/2"},{"type":"function","title":"Supabase.PostgREST.maybe_single/1","doc":"","ref":"Supabase.PostgREST.html#maybe_single/1"},{"type":"function","title":"Supabase.PostgREST.negate/4","doc":"","ref":"Supabase.PostgREST.html#negate/4"},{"type":"function","title":"Supabase.PostgREST.neq/3","doc":"","ref":"Supabase.PostgREST.html#neq/3"},{"type":"function","title":"Supabase.PostgREST.order/2","doc":"","ref":"Supabase.PostgREST.html#order/2"},{"type":"function","title":"Supabase.PostgREST.order/3","doc":"","ref":"Supabase.PostgREST.html#order/3"},{"type":"function","title":"Supabase.PostgREST.overlaps/3","doc":"","ref":"Supabase.PostgREST.html#overlaps/3"},{"type":"function","title":"Supabase.PostgREST.range/3","doc":"","ref":"Supabase.PostgREST.html#range/3"},{"type":"function","title":"Supabase.PostgREST.range/4","doc":"","ref":"Supabase.PostgREST.html#range/4"},{"type":"function","title":"Supabase.PostgREST.range_adjacent/3","doc":"","ref":"Supabase.PostgREST.html#range_adjacent/3"},{"type":"function","title":"Supabase.PostgREST.range_gt/3","doc":"","ref":"Supabase.PostgREST.html#range_gt/3"},{"type":"function","title":"Supabase.PostgREST.range_gte/3","doc":"","ref":"Supabase.PostgREST.html#range_gte/3"},{"type":"function","title":"Supabase.PostgREST.range_lt/3","doc":"","ref":"Supabase.PostgREST.html#range_lt/3"},{"type":"function","title":"Supabase.PostgREST.range_lte/3","doc":"","ref":"Supabase.PostgREST.html#range_lte/3"},{"type":"function","title":"Supabase.PostgREST.returning/1","doc":"","ref":"Supabase.PostgREST.html#returning/1"},{"type":"function","title":"Supabase.PostgREST.returning/2","doc":"","ref":"Supabase.PostgREST.html#returning/2"},{"type":"function","title":"Supabase.PostgREST.rollback/1","doc":"","ref":"Supabase.PostgREST.html#rollback/1"},{"type":"function","title":"Supabase.PostgREST.schema/2","doc":"Select a schema to query or perform an function (rpc) call.\nThe schema needs to be on the list of exposed schemas inside Supabase.","ref":"Supabase.PostgREST.html#schema/2"},{"type":"function","title":"Parameters - Supabase.PostgREST.schema/2","doc":"- `schema`: the schema to operate on, default to the `Supabase.Client` DB config","ref":"Supabase.PostgREST.html#schema/2-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.schema/2","doc":"iex> builder = Supabase.PostgREST.from(client, \"users\")\n    iex> Supabase.PostgREST.schema(builder, private)","ref":"Supabase.PostgREST.html#schema/2-examples"},{"type":"function","title":"Supabase.PostgREST.select/2","doc":"","ref":"Supabase.PostgREST.html#select/2"},{"type":"function","title":"Supabase.PostgREST.select/3","doc":"","ref":"Supabase.PostgREST.html#select/3"},{"type":"function","title":"Supabase.PostgREST.single/1","doc":"","ref":"Supabase.PostgREST.html#single/1"},{"type":"function","title":"Supabase.PostgREST.text_search/3","doc":"","ref":"Supabase.PostgREST.html#text_search/3"},{"type":"function","title":"Supabase.PostgREST.text_search/4","doc":"","ref":"Supabase.PostgREST.html#text_search/4"},{"type":"function","title":"Supabase.PostgREST.update/2","doc":"","ref":"Supabase.PostgREST.html#update/2"},{"type":"function","title":"Supabase.PostgREST.update/3","doc":"","ref":"Supabase.PostgREST.html#update/3"},{"type":"function","title":"Supabase.PostgREST.upsert/2","doc":"","ref":"Supabase.PostgREST.html#upsert/2"},{"type":"function","title":"Supabase.PostgREST.upsert/3","doc":"","ref":"Supabase.PostgREST.html#upsert/3"},{"type":"function","title":"Supabase.PostgREST.with_custom_media_type/2","doc":"Overrides the default media type `accept` header, which can control\nthe represation of the PostgREST response","ref":"Supabase.PostgREST.html#with_custom_media_type/2"},{"type":"function","title":"Examples - Supabase.PostgREST.with_custom_media_type/2","doc":"iex> q = PostgREST.from(client, \"users\")\n    iex> q = PostgREST.with_custom_media_type(q, :csv)\n    iex> PostgREST.execute(q)\n    {:ok, \"id,name\n1,john\n2,maria\"}","ref":"Supabase.PostgREST.html#with_custom_media_type/2-examples"},{"type":"function","title":"See also - Supabase.PostgREST.with_custom_media_type/2","doc":"- [PostgREST resource represation docs](https://docs.postgrest.org/en/v12/references/api/resource_representation.html)","ref":"Supabase.PostgREST.html#with_custom_media_type/2-see-also"},{"type":"function","title":"Supabase.PostgREST.within/3","doc":"","ref":"Supabase.PostgREST.html#within/3"},{"type":"behaviour","title":"Supabase.PostgREST.Behaviour","doc":"Defines the interface for the main module Supabase.PostgREST","ref":"Supabase.PostgREST.Behaviour.html"},{"type":"callback","title":"Supabase.PostgREST.Behaviour.execute/1","doc":"","ref":"Supabase.PostgREST.Behaviour.html#c:execute/1"},{"type":"callback","title":"Supabase.PostgREST.Behaviour.execute_string/1","doc":"","ref":"Supabase.PostgREST.Behaviour.html#c:execute_string/1"},{"type":"callback","title":"Supabase.PostgREST.Behaviour.execute_to/2","doc":"","ref":"Supabase.PostgREST.Behaviour.html#c:execute_to/2"},{"type":"callback","title":"Supabase.PostgREST.Behaviour.execute_to_finch_request/1","doc":"","ref":"Supabase.PostgREST.Behaviour.html#c:execute_to_finch_request/1"},{"type":"callback","title":"Supabase.PostgREST.Behaviour.from/2","doc":"","ref":"Supabase.PostgREST.Behaviour.html#c:from/2"},{"type":"type","title":"Supabase.PostgREST.Behaviour.media_type/0","doc":"","ref":"Supabase.PostgREST.Behaviour.html#t:media_type/0"},{"type":"callback","title":"Supabase.PostgREST.Behaviour.schema/2","doc":"","ref":"Supabase.PostgREST.Behaviour.html#c:schema/2"},{"type":"callback","title":"Supabase.PostgREST.Behaviour.with_custom_media_type/2","doc":"","ref":"Supabase.PostgREST.Behaviour.html#c:with_custom_media_type/2"},{"type":"module","title":"Supabase.PostgREST.Builder","doc":"Defines a struct to centralize and accumulate data to\nbe sent to the PostgREST server, parsed.","ref":"Supabase.PostgREST.Builder.html"},{"type":"function","title":"Supabase.PostgREST.Builder.add_query_param/3","doc":"Updates the key `Elixir.Supabase.PostgREST.Builder.params` and adds a new query params","ref":"Supabase.PostgREST.Builder.html#add_query_param/3"},{"type":"function","title":"Supabase.PostgREST.Builder.add_request_header/3","doc":"Updates the key `Elixir.Supabase.PostgREST.Builder.headers` and adds a new request header","ref":"Supabase.PostgREST.Builder.html#add_request_header/3"},{"type":"function","title":"Supabase.PostgREST.Builder.change_body/2","doc":"Changes the request body that will be sent to the PostgREST server","ref":"Supabase.PostgREST.Builder.html#change_body/2"},{"type":"function","title":"Supabase.PostgREST.Builder.change_method/2","doc":"Changes the HTTP method that'll be used to execute the query","ref":"Supabase.PostgREST.Builder.html#change_method/2"},{"type":"function","title":"Supabase.PostgREST.Builder.del_request_header/2","doc":"Removes a request header","ref":"Supabase.PostgREST.Builder.html#del_request_header/2"},{"type":"function","title":"Supabase.PostgREST.Builder.new/2","doc":"Creates a new `Elixir.Supabase.PostgREST.Builder` instance","ref":"Supabase.PostgREST.Builder.html#new/2"},{"type":"type","title":"Supabase.PostgREST.Builder.t/0","doc":"","ref":"Supabase.PostgREST.Builder.html#t:t/0"},{"type":"module","title":"Supabase.PostgREST.FilterBuilder","doc":"Manages filtering logic for queries.\n\nThis module allows you to define conditions that restrict the data returned by the query. Filters can include equality checks, range conditions, pattern matching, and more. These operations translate into query parameters that control the subset of data fetched or manipulated.","ref":"Supabase.PostgREST.FilterBuilder.html"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.all_of/3","doc":"Applies an \"AND\" condition to a query, allowing multiple conditions on different columns.\nThis can also be scoped to a foreign table if specified.\n\nUnlike most filters, `filters` is used as-is and needs to follow [PostgREST syntax](https://postgrest.org/en/stable/api.html#operators). You also need to make sure it's properly sanitized.\n\nIt's currently not possible to do an `.and()` filter across multiple tables.\n\nYou can optionally use the custom DSL to represent conditions instead of a raw string, look at the examples and the `Supabase.PostgREST.FilterBuilder.Behaviour.condition()` type spec.","ref":"Supabase.PostgREST.FilterBuilder.html#all_of/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.all_of/3","doc":"- `builder`: The Builder instance.\n- `columns`: A list of conditions that should all be met.\n- `opts`: Optional parameters, which can include specifying a foreign table.","ref":"Supabase.PostgREST.FilterBuilder.html#all_of/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.all_of/3","doc":"iex> PostgREST.all_of(builder, [{:gt, \"age\", 18}, {:eq, \"status\", \"active\"}])\n    iex> PostgREST.all_of([\n    iex>      {:gt, \"age\", 18},\n    iex>      {:and, [\n    iex>        {:lt, \"salary\", 5000},\n    iex>        {:eq, \"role\", \"junior\"}\n    iex>      ]}\n    iex>    ])","ref":"Supabase.PostgREST.FilterBuilder.html#all_of/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.all_of/3","doc":"- Supabase logical operations: https://supabase.com/docs/reference/javascript/using-filters#logical-operators","ref":"Supabase.PostgREST.FilterBuilder.html#all_of/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.any_of/3","doc":"Applies an \"OR\" condition to a query, combining multiple conditions on different columns\nwhere at least one condition must be met. This can also be scoped to a foreign table.\n\nUnlike most filters, `filters` is used as-is and needs to follow [PostgREST syntax](https://postgrest.org/en/stable/api.html#operators). You also need to make sure it's properly sanitized.\n\nIt's currently not possible to do an `.and()` filter across multiple tables.\n\nYou can optionally use the custom DSL to represent conditions instead of a raw string, look at the examples and the `Supabase.PostgREST.FilterBuilder.Behaviour.condition()` type spec.","ref":"Supabase.PostgREST.FilterBuilder.html#any_of/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.any_of/3","doc":"- `builder`: The Builder instance.\n- `columns`: A list of conditions where at least one should be met.\n- `opts`: Optional parameters, which can include specifying a foreign table.","ref":"Supabase.PostgREST.FilterBuilder.html#any_of/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.any_of/3","doc":"iex> PostgREST.any_of(builder, [{:gt, \"age\", 18}, {:eq, \"status\", \"active\"}])\n    iex> PostgREST.any_of([\n    iex>      {:gt, \"age\", 18},\n    iex>      {:or, [\n    iex>        {:eq, \"status\", \"active\"},\n    iex>        {:eq, \"status\", \"pending\"}\n    iex>      ]},\n    iex>    ])","ref":"Supabase.PostgREST.FilterBuilder.html#any_of/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.any_of/3","doc":"- Further details on logical operations in Supabase: https://supabase.com/docs/reference/javascript/using-filters#logical-operators","ref":"Supabase.PostgREST.FilterBuilder.html#any_of/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.contained_by/3","doc":"Only relevant for jsonb, array, and range columns. Match only rows where every element appearing in `column` is contained by `value`.","ref":"Supabase.PostgREST.FilterBuilder.html#contained_by/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.contained_by/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `values`: It can be a single value (string), a list of values to filter or a map (aka json)","ref":"Supabase.PostgREST.FilterBuilder.html#contained_by/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.contained_by/3","doc":"iex> PostgREST.contained_by(builder, \"tags\", [\"urgent\", \"new\", \"old\"])","ref":"Supabase.PostgREST.FilterBuilder.html#contained_by/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.contained_by/3","doc":"- Supabase contained by filter: https://supabase.com/docs/reference/javascript/using-filters#contained-by","ref":"Supabase.PostgREST.FilterBuilder.html#contained_by/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.contains/3","doc":"Only relevant for jsonb, array, and range columns. Match only rows where `column` contains every element appearing in `value`.","ref":"Supabase.PostgREST.FilterBuilder.html#contains/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.contains/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `values`: It can be a single value (string), a list of values to filter or a map (aka json)","ref":"Supabase.PostgREST.FilterBuilder.html#contains/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.contains/3","doc":"iex> PostgREST.contains(builder, \"tags\", [\"urgent\", \"new\"])","ref":"Supabase.PostgREST.FilterBuilder.html#contains/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.contains/3","doc":"- Supabase contains filter: https://supabase.com/docs/reference/javascript/using-filters#contains","ref":"Supabase.PostgREST.FilterBuilder.html#contains/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.eq/3","doc":"Match only rows where `column` is equal to `value`.\n\nTo check if the value of `column` is NULL, you should use `.is()` instead.","ref":"Supabase.PostgREST.FilterBuilder.html#eq/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.eq/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The value the column must equal, must implement `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#eq/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.eq/3","doc":"iex> PostgREST.eq(builder, \"id\", 123)","ref":"Supabase.PostgREST.FilterBuilder.html#eq/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.eq/3","doc":"- Supabase equality filters: https://supabase.com/docs/reference/javascript/using-filters#equality","ref":"Supabase.PostgREST.FilterBuilder.html#eq/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.filter/4","doc":"Match only rows which satisfy the filter. This is an escape hatch - you\nhould use the specific filter methods wherever possible.\n\nUnlike most filters, `opearator` and `value` are used as-is and need to\nfollow [PostgREST syntax](https://postgrest.org/en/stable/api.html#operators). You also need to make sure they are properly sanitized.","ref":"Supabase.PostgREST.FilterBuilder.html#filter/4"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.filter/4","doc":"- `column` - The column to filter on\n- `operator` - The operator to filter with, following PostgREST syntax\n- `value` - The value to filter with, following PostgREST syntax, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#filter/4-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.filter/4","doc":"iex> PostgREST.filter(builder, \"id\", \"not\", 12)","ref":"Supabase.PostgREST.FilterBuilder.html#filter/4-examples"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.gt/3","doc":"Adds a 'greater than' filter to the query, specifying that the column's value must be greater than the specified value.","ref":"Supabase.PostgREST.FilterBuilder.html#gt/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.gt/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The value that the column must be greater than, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#gt/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.gt/3","doc":"iex> PostgREST.gt(builder, \"age\", 21)","ref":"Supabase.PostgREST.FilterBuilder.html#gt/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.gt/3","doc":"- Supabase greater than filter: https://supabase.com/docs/reference/javascript/using-filters#greater-than","ref":"Supabase.PostgREST.FilterBuilder.html#gt/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.gte/3","doc":"Adds a 'greater than or equal to' filter to the query, specifying that the column's value must be greater than or equal to the specified value.","ref":"Supabase.PostgREST.FilterBuilder.html#gte/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.gte/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The value that the column must be greater than or equal to, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#gte/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.gte/3","doc":"iex> PostgREST.gte(builder, \"age\", 21)","ref":"Supabase.PostgREST.FilterBuilder.html#gte/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.gte/3","doc":"- Supabase greater than or equal filter: https://supabase.com/docs/reference/javascript/using-filters#greater-than-or-equal","ref":"Supabase.PostgREST.FilterBuilder.html#gte/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.ilike/3","doc":"Adds an 'ilike' filter to the query, allowing for case-insensitive pattern matching (SQL ILIKE).","ref":"Supabase.PostgREST.FilterBuilder.html#ilike/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.ilike/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The pattern to match against the column's value, ignoring case, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#ilike/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.ilike/3","doc":"iex> PostgREST.ilike(builder, \"name\", \"%john%\")","ref":"Supabase.PostgREST.FilterBuilder.html#ilike/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.ilike/3","doc":"- Supabase ilike filter: https://supabase.com/docs/reference/javascript/using-filters#ilike","ref":"Supabase.PostgREST.FilterBuilder.html#ilike/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.ilike_all_of/3","doc":"Match only rows where `column` matches **all** of `patterns` case-insensitively.","ref":"Supabase.PostgREST.FilterBuilder.html#ilike_all_of/3"},{"type":"function","title":"Params - Supabase.PostgREST.FilterBuilder.ilike_all_of/3","doc":"- `column`: the column to apply the filter\n- `values`: a list of patterns of filters (needs to implement the `String.Chars` protocol)","ref":"Supabase.PostgREST.FilterBuilder.html#ilike_all_of/3-params"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.ilike_all_of/3","doc":"iex> PostgREST.ilike_all_of(builder, \"name\", [\"jhon\", \"maria\", \"joão\"])","ref":"Supabase.PostgREST.FilterBuilder.html#ilike_all_of/3-examples"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.ilike_any_of/3","doc":"Match only rows where `column` matches **any** of `patterns` case-insensitively.","ref":"Supabase.PostgREST.FilterBuilder.html#ilike_any_of/3"},{"type":"function","title":"Params - Supabase.PostgREST.FilterBuilder.ilike_any_of/3","doc":"- `column`: the column to apply the filter\n- `values`: a list of patterns of filters (needs to implement the `String.Chars` protocol)","ref":"Supabase.PostgREST.FilterBuilder.html#ilike_any_of/3-params"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.ilike_any_of/3","doc":"iex> PostgREST.ilike_any_of(builder, \"name\", [\"jhon\", \"maria\", \"joão\"])","ref":"Supabase.PostgREST.FilterBuilder.html#ilike_any_of/3-examples"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.is/3","doc":"Match only rows where `column` IS `value`.\n\nFor non-boolean columns, this is only relevant for checking if the value of\n`column` is NULL by setting `value` to `nil`.\n\nFor boolean columns, you can also set `value` to `true` or `false` and it\nwill behave the same way as `.eq()`.","ref":"Supabase.PostgREST.FilterBuilder.html#is/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.is/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The value to check the column against (typically nil or a boolean).","ref":"Supabase.PostgREST.FilterBuilder.html#is/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.is/3","doc":"iex> PostgREST.is(builder, \"name\", nil)","ref":"Supabase.PostgREST.FilterBuilder.html#is/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.is/3","doc":"- Supabase is filter: https://supabase.com/docs/reference/javascript/using-filters#is","ref":"Supabase.PostgREST.FilterBuilder.html#is/3-see-also"},{"type":"macro","title":"Supabase.PostgREST.FilterBuilder.is_filter_op/1","doc":"Guard to validates if the filter operator passed to\n`__MODULE__.filter/3` is a valid operator.","ref":"Supabase.PostgREST.FilterBuilder.html#is_filter_op/1"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.like/3","doc":"Adds a 'like' filter to the query, allowing for simple pattern matching (SQL LIKE).","ref":"Supabase.PostgREST.FilterBuilder.html#like/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.like/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The pattern to match against the column's value, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#like/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.like/3","doc":"iex> PostgREST.like(builder, \"name\", \"%John%\")","ref":"Supabase.PostgREST.FilterBuilder.html#like/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.like/3","doc":"- Supabase like filter: https://supabase.com/docs/reference/javascript/using-filters#like","ref":"Supabase.PostgREST.FilterBuilder.html#like/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.like_all_of/3","doc":"Match only rows where `column` matches **all** of `patterns` case-sensitively.","ref":"Supabase.PostgREST.FilterBuilder.html#like_all_of/3"},{"type":"function","title":"Params - Supabase.PostgREST.FilterBuilder.like_all_of/3","doc":"- `column`: the column to apply the filter\n- `values`: a list of patterns of filters (needs to implement the `String.Chars` protocol)","ref":"Supabase.PostgREST.FilterBuilder.html#like_all_of/3-params"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.like_all_of/3","doc":"iex> PostgREST.like_all_of(builder, \"name\", [\"jhon\", \"maria\", \"joão\"])","ref":"Supabase.PostgREST.FilterBuilder.html#like_all_of/3-examples"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.like_any_of/3","doc":"Match only rows where `column` matches **any** of `patterns` case-sensitively.","ref":"Supabase.PostgREST.FilterBuilder.html#like_any_of/3"},{"type":"function","title":"Params - Supabase.PostgREST.FilterBuilder.like_any_of/3","doc":"- `column`: the column to apply the filter\n- `values`: a list of patterns of filters (needs to implement the `String.Chars` protocol)","ref":"Supabase.PostgREST.FilterBuilder.html#like_any_of/3-params"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.like_any_of/3","doc":"iex> PostgREST.like_any_of(builder, \"name\", [\"jhon\", \"maria\", \"joão\"])","ref":"Supabase.PostgREST.FilterBuilder.html#like_any_of/3-examples"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.lt/3","doc":"Adds a 'less than' filter to the query, specifying that the column's value must be less than the specified value.","ref":"Supabase.PostgREST.FilterBuilder.html#lt/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.lt/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The value that the column must be less than, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#lt/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.lt/3","doc":"iex> PostgREST.lt(builder, \"age\", 65)","ref":"Supabase.PostgREST.FilterBuilder.html#lt/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.lt/3","doc":"- Supabase less than filter: https://supabase.com/docs/reference/javascript/using-filters#less-than","ref":"Supabase.PostgREST.FilterBuilder.html#lt/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.lte/3","doc":"Adds a 'less than or equal to' filter to the query, specifying that the column's value must be less than or equal to the specified value.","ref":"Supabase.PostgREST.FilterBuilder.html#lte/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.lte/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The value that the column must be less than or equal to, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#lte/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.lte/3","doc":"iex> PostgREST.lte(builder, \"age\", 65)","ref":"Supabase.PostgREST.FilterBuilder.html#lte/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.lte/3","doc":"- Supabase less than or equal filter: https://supabase.com/docs/reference/javascript/using-filters#less-than-or-equal","ref":"Supabase.PostgREST.FilterBuilder.html#lte/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.match/2","doc":"Match only rows where each column in `query` keys is equal to its associated value. Shorthand for multiple `.eq()`s.","ref":"Supabase.PostgREST.FilterBuilder.html#match/2"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.match/2","doc":"- `query` - The object to filter with, with column names as keys mapped to their filter values, and all values must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#match/2-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.match/2","doc":"iex> PostgREST.match(builder, %{\"col1\" => true, \"col2\" => false})","ref":"Supabase.PostgREST.FilterBuilder.html#match/2-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.match/2","doc":"- Supabase ordering results: https://supabase.com/docs/reference/javascript/using-filters#match","ref":"Supabase.PostgREST.FilterBuilder.html#match/2-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.negate/4","doc":"Applies a \"NOT\" condition to the query, negating a specified condition.\n\nUnlike most filters, `opearator` and `value` are used as-is and need to\nfollow [PostgREST syntax](https://postgrest.org/en/stable/api.html#operators). You also need\nto make sure they are properly sanitized.","ref":"Supabase.PostgREST.FilterBuilder.html#negate/4"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.negate/4","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the negation.\n- `op`: The operator used in the condition (e.g., \"eq\", \"gt\").\n- `value`: The value to compare against, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#negate/4-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.negate/4","doc":"iex> PostgREST.not(builder, \"status\", \"eq\", \"active\")","ref":"Supabase.PostgREST.FilterBuilder.html#negate/4-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.negate/4","doc":"- Supabase negation filters: https://supabase.com/docs/reference/javascript/using-filters#negation","ref":"Supabase.PostgREST.FilterBuilder.html#negate/4-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.neq/3","doc":"Match only rows where `column` is not equal to `value`.","ref":"Supabase.PostgREST.FilterBuilder.html#neq/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.neq/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The value that the column must not equal, must implement `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#neq/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.neq/3","doc":"iex> PostgREST.neq(builder, \"status\", \"inactive\")","ref":"Supabase.PostgREST.FilterBuilder.html#neq/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.neq/3","doc":"- Supabase not equal filter: https://supabase.com/docs/reference/javascript/using-filters#not-equal","ref":"Supabase.PostgREST.FilterBuilder.html#neq/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.overlaps/3","doc":"Only relevant for array and range columns. Match only rows where `column` and `value` have an element in common.","ref":"Supabase.PostgREST.FilterBuilder.html#overlaps/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.overlaps/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `values`: The array of values that must overlap with the column's value, all elements must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#overlaps/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.overlaps/3","doc":"iex> PostgREST.overlaps(builder, \"tags\", [\"urgent\", \"old\"])","ref":"Supabase.PostgREST.FilterBuilder.html#overlaps/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.overlaps/3","doc":"- Supabase overlaps filter: https://supabase.com/docs/reference/javascript/using-filters#overlaps","ref":"Supabase.PostgREST.FilterBuilder.html#overlaps/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.process_condition/1","doc":"","ref":"Supabase.PostgREST.FilterBuilder.html#process_condition/1"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.range_adjacent/3","doc":"Only relevant for range columns. Match only rows where `column` is mutually exclusive to `range` and there can be no element between the two ranges.","ref":"Supabase.PostgREST.FilterBuilder.html#range_adjacent/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.range_adjacent/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The adjacent range value, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#range_adjacent/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.range_adjacent/3","doc":"iex> PostgREST.range_adjacent(builder, \"scheduled_time\", \"2021-01-01T10:00:00Z/2021-01-01T12:00:00Z\")","ref":"Supabase.PostgREST.FilterBuilder.html#range_adjacent/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.range_adjacent/3","doc":"- Supabase adjacent range filters: https://supabase.com/docs/reference/javascript/using-filters#adjacent","ref":"Supabase.PostgREST.FilterBuilder.html#range_adjacent/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.range_gt/3","doc":"Only relevant for range columns. Match only rows where every element in `column` is greater than any element in `range`.","ref":"Supabase.PostgREST.FilterBuilder.html#range_gt/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.range_gt/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The lower bound value of the range, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#range_gt/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.range_gt/3","doc":"iex> PostgREST.range_gt(builder, \"age\", 20)","ref":"Supabase.PostgREST.FilterBuilder.html#range_gt/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.range_gt/3","doc":"- More on range filters at Supabase: https://supabase.com/docs/reference/javascript/using-filters#range","ref":"Supabase.PostgREST.FilterBuilder.html#range_gt/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.range_gte/3","doc":"Only relevant for range columns. Match only rows where every element in `column` is either contained in `range` or greater than any element in `range`.","ref":"Supabase.PostgREST.FilterBuilder.html#range_gte/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.range_gte/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The starting value of the range, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#range_gte/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.range_gte/3","doc":"iex> PostgREST.range_gte(builder, \"age\", 18)","ref":"Supabase.PostgREST.FilterBuilder.html#range_gte/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.range_gte/3","doc":"- Supabase documentation on range filters: https://supabase.com/docs/reference/javascript/using-filters#range","ref":"Supabase.PostgREST.FilterBuilder.html#range_gte/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.range_lt/3","doc":"Only relevant for range columns. Match only rows where every element in `column` is less than any element in `range`.","ref":"Supabase.PostgREST.FilterBuilder.html#range_lt/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.range_lt/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The upper bound value of the range, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#range_lt/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.range_lt/3","doc":"iex> PostgREST.range_lt(builder, \"age\", 30)","ref":"Supabase.PostgREST.FilterBuilder.html#range_lt/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.range_lt/3","doc":"- Supabase range filters: https://supabase.com/docs/reference/javascript/using-filters#range","ref":"Supabase.PostgREST.FilterBuilder.html#range_lt/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.range_lte/3","doc":"Only relevant for range columns. Match only rows where every element in `column` is either contained in `range` or less than any element in `range`.","ref":"Supabase.PostgREST.FilterBuilder.html#range_lte/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.range_lte/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to apply the filter.\n- `value`: The ending value of the range, must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#range_lte/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.range_lte/3","doc":"iex> PostgREST.range_lte(builder, \"age\", 65)","ref":"Supabase.PostgREST.FilterBuilder.html#range_lte/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.range_lte/3","doc":"- Supabase guide on using range filters: https://supabase.com/docs/reference/javascript/using-filters#range","ref":"Supabase.PostgREST.FilterBuilder.html#range_lte/3-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.text_search/4","doc":"Only relevant for text and tsvector columns. Match only rows where `column` matches the query string in `query`.","ref":"Supabase.PostgREST.FilterBuilder.html#text_search/4"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.text_search/4","doc":"- `builder`: The Builder instance.\n- `column`: The column to search.\n- `query`: The text query for the search.\n- `opts`: Options for the search, such as type of search (`:plain`, `:phrase`, or `:websearch`) and configuration.","ref":"Supabase.PostgREST.FilterBuilder.html#text_search/4-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.text_search/4","doc":"iex> PostgREST.text_search(builder, \"description\", \"elixir supabase\", type: :plain)","ref":"Supabase.PostgREST.FilterBuilder.html#text_search/4-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.text_search/4","doc":"- Supabase full-text search capabilities: https://supabase.com/docs/reference/javascript/using-filters#full-text-search","ref":"Supabase.PostgREST.FilterBuilder.html#text_search/4-see-also"},{"type":"function","title":"Supabase.PostgREST.FilterBuilder.within/3","doc":"Filters the query by checking if the column's value is within an array of specified values.","ref":"Supabase.PostgREST.FilterBuilder.html#within/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.FilterBuilder.within/3","doc":"- `builder`: The Builder instance.\n- `column`: The column to filter.\n- `values`: A list of acceptable values for the column, all elements must implement the `String.Chars` protocol","ref":"Supabase.PostgREST.FilterBuilder.html#within/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.FilterBuilder.within/3","doc":"iex> PostgREST.in(builder, \"status\", [\"active\", \"pending\", \"closed\"])","ref":"Supabase.PostgREST.FilterBuilder.html#within/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.FilterBuilder.within/3","doc":"- Supabase \"IN\" filters: https://supabase.com/docs/reference/javascript/using-filters#in","ref":"Supabase.PostgREST.FilterBuilder.html#within/3-see-also"},{"type":"behaviour","title":"Supabase.PostgREST.FilterBuilder.Behaviour","doc":"Defines the interface for the FilterBuilder module","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.all_of/2","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:all_of/2"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.all_of/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:all_of/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.any_of/2","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:any_of/2"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.any_of/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:any_of/3"},{"type":"type","title":"Supabase.PostgREST.FilterBuilder.Behaviour.condition/0","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#t:condition/0"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.contained_by/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:contained_by/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.contains/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:contains/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.eq/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:eq/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.filter/4","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:filter/4"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.gt/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:gt/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.gte/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:gte/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.ilike/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:ilike/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.ilike_all_of/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:ilike_all_of/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.ilike_any_of/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:ilike_any_of/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.is/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:is/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.like/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:like/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.like_all_of/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:like_all_of/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.like_any_of/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:like_any_of/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.lt/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:lt/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.lte/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:lte/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.match/2","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:match/2"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.negate/4","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:negate/4"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.neq/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:neq/3"},{"type":"type","title":"Supabase.PostgREST.FilterBuilder.Behaviour.operator/0","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#t:operator/0"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.overlaps/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:overlaps/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.range_adjacent/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:range_adjacent/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.range_gt/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:range_gt/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.range_gte/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:range_gte/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.range_lt/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:range_lt/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.range_lte/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:range_lte/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.text_search/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:text_search/3"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.text_search/4","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:text_search/4"},{"type":"type","title":"Supabase.PostgREST.FilterBuilder.Behaviour.text_search_options/0","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#t:text_search_options/0"},{"type":"callback","title":"Supabase.PostgREST.FilterBuilder.Behaviour.within/3","doc":"","ref":"Supabase.PostgREST.FilterBuilder.Behaviour.html#c:within/3"},{"type":"module","title":"Supabase.PostgREST.QueryBuilder","doc":"Handles operations related to building and modifying the main structure of a query.\n\nThis module includes functionality for selecting fields, inserting new records, updating existing ones, and deleting records from a specified table. These operations define the high-level intent of the query, such as whether it retrieves, modifies, or removes data.","ref":"Supabase.PostgREST.QueryBuilder.html"},{"type":"function","title":"Supabase.PostgREST.QueryBuilder.delete/2","doc":"Deletes records from a table based on the conditions specified in the Builder.","ref":"Supabase.PostgREST.QueryBuilder.html#delete/2"},{"type":"function","title":"Parameters - Supabase.PostgREST.QueryBuilder.delete/2","doc":"- `builder`: The Builder to use.\n- `opts`: Options such as `:returning` and `:count`.","ref":"Supabase.PostgREST.QueryBuilder.html#delete/2-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.QueryBuilder.delete/2","doc":"iex> PostgREST.delete(builder, returning: :representation)","ref":"Supabase.PostgREST.QueryBuilder.html#delete/2-examples"},{"type":"function","title":"See also - Supabase.PostgREST.QueryBuilder.delete/2","doc":"- Supabase documentation on deletes: https://supabase.com/docs/reference/javascript/delete","ref":"Supabase.PostgREST.QueryBuilder.html#delete/2-see-also"},{"type":"function","title":"Supabase.PostgREST.QueryBuilder.insert/3","doc":"Inserts new records into the database. Supports conflict resolution and specifying how the\nresult should be returned.","ref":"Supabase.PostgREST.QueryBuilder.html#insert/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.QueryBuilder.insert/3","doc":"- `builder`: The Builder to use.\n- `data`: The data to be inserted, typically a map or a list of maps.\n- `opts`: Options like `:on_conflict`, `:returning`, and `:count`.","ref":"Supabase.PostgREST.QueryBuilder.html#insert/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.QueryBuilder.insert/3","doc":"iex> PostgREST.insert(builder, %{name: \"John\"}, on_conflict: \"name\", returning: :minimal)","ref":"Supabase.PostgREST.QueryBuilder.html#insert/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.QueryBuilder.insert/3","doc":"- Supabase documentation on inserts: https://supabase.com/docs/reference/javascript/insert","ref":"Supabase.PostgREST.QueryBuilder.html#insert/3-see-also"},{"type":"function","title":"Supabase.PostgREST.QueryBuilder.select/3","doc":"Selects records from a table. You can specify specific columns or use '*' for all columns.\nOptions such as counting results and specifying return types can be configured.\n\nNote that this function does not return by default, it only build the select\nexpression for the query. If you want to have the selected fields returned as\nresponse you need to pass `returning: true`.","ref":"Supabase.PostgREST.QueryBuilder.html#select/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.QueryBuilder.select/3","doc":"- `builder`: The Builder instance.\n- `columns`: A list of column names to fetch or '*' for all columns.\n- `opts`: Options such as `:count` and `:returning`.","ref":"Supabase.PostgREST.QueryBuilder.html#select/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.QueryBuilder.select/3","doc":"iex> PostgREST.select(builder, \"*\", count: :exact, returning: true)","ref":"Supabase.PostgREST.QueryBuilder.html#select/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.QueryBuilder.select/3","doc":"- Supabase select queries: https://supabase.com/docs/reference/javascript/select","ref":"Supabase.PostgREST.QueryBuilder.html#select/3-see-also"},{"type":"function","title":"Supabase.PostgREST.QueryBuilder.update/3","doc":"Updates existing records in the database. Allows specifying return options and how the update is counted.","ref":"Supabase.PostgREST.QueryBuilder.html#update/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.QueryBuilder.update/3","doc":"- `builder`: The Builder to use.\n- `data`: The new data for the update, typically a map or list of maps.\n- `opts`: Options such as `:returning` and `:count`.","ref":"Supabase.PostgREST.QueryBuilder.html#update/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.QueryBuilder.update/3","doc":"iex> PostgREST.update(builder, %{name: \"Doe\"}, returning: :representation)","ref":"Supabase.PostgREST.QueryBuilder.html#update/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.QueryBuilder.update/3","doc":"- Supabase documentation on updates: https://supabase.com/docs/reference/javascript/update","ref":"Supabase.PostgREST.QueryBuilder.html#update/3-see-also"},{"type":"function","title":"Supabase.PostgREST.QueryBuilder.upsert/3","doc":"Upserts data into a table, allowing for conflict resolution and specifying return options.","ref":"Supabase.PostgREST.QueryBuilder.html#upsert/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.QueryBuilder.upsert/3","doc":"- `builder`: The Builder to use.\n- `data`: The data to upsert, typically a map or a list of maps.\n- `opts`: Options like `:on_conflict`, `:returning`, and `:count`.","ref":"Supabase.PostgREST.QueryBuilder.html#upsert/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.QueryBuilder.upsert/3","doc":"iex> PostgREST.upsert(builder, %{name: \"Jane\"}, on_conflict: \"name\", returning: :representation)","ref":"Supabase.PostgREST.QueryBuilder.html#upsert/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.QueryBuilder.upsert/3","doc":"- Supabase documentation on upserts: https://supabase.com/docs/reference/javascript/upsert","ref":"Supabase.PostgREST.QueryBuilder.html#upsert/3-see-also"},{"type":"behaviour","title":"Supabase.PostgREST.QueryBuilder.Behaviour","doc":"Defines the interface for the QueryBuilder module","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.delete/1","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:delete/1"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.delete/2","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:delete/2"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.insert/2","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:insert/2"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.insert/3","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:insert/3"},{"type":"type","title":"Supabase.PostgREST.QueryBuilder.Behaviour.insert_options/0","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#t:insert_options/0"},{"type":"type","title":"Supabase.PostgREST.QueryBuilder.Behaviour.options/0","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#t:options/0"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.select/2","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:select/2"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.select/3","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:select/3"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.update/2","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:update/2"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.update/3","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:update/3"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.upsert/2","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:upsert/2"},{"type":"callback","title":"Supabase.PostgREST.QueryBuilder.Behaviour.upsert/3","doc":"","ref":"Supabase.PostgREST.QueryBuilder.Behaviour.html#c:upsert/3"},{"type":"module","title":"Supabase.PostgREST.TransformBuilder","doc":"Handles transformations applied to query results.\n\nThis module provides functionality for ordering, limiting, and paginating query results. These transformations modify how data is structured or retrieved, enabling precise control over the format and amount of data returned.","ref":"Supabase.PostgREST.TransformBuilder.html"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.csv/1","doc":"Return `data` as a string in CSV format.","ref":"Supabase.PostgREST.TransformBuilder.html#csv/1"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.csv/1","doc":"iex> PostgREST.csv(builder)\n    %Builder{headers: %{\"accept\" => \"text/csv\"}}","ref":"Supabase.PostgREST.TransformBuilder.html#csv/1-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.csv/1","doc":"https://supabase.com/docs/reference/javascript/db-csv","ref":"Supabase.PostgREST.TransformBuilder.html#csv/1-see-also"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.explain/2","doc":"Return `data` as the EXPLAIN plan for the query.\nYou need to enable the [db_plan_enabled](https://supabase.com/docs/guides/database/debugging-performance#enabling-explain) setting before using this method.","ref":"Supabase.PostgREST.TransformBuilder.html#explain/2"},{"type":"function","title":"Params - Supabase.PostgREST.TransformBuilder.explain/2","doc":"- `options`: options as a keyword list, these are the possibilities:\n  - `analyze`: boolean, defaults to `false`\n  - `verbose`: boolean, defaults to `false`\n  - `settings`: boolean, default to `false`\n  - `buffers`: boolean, defaults to `false`\n  - `wal`: boolean, default to `false`\n  - `format`: `:json` or `:text`, defaults to `:text`","ref":"Supabase.PostgREST.TransformBuilder.html#explain/2-params"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.explain/2","doc":"iex> PostgREST.explain(builder, analyze: true, format: :json, wal: false)\n    %Builder{}","ref":"Supabase.PostgREST.TransformBuilder.html#explain/2-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.explain/2","doc":"https://supabase.com/docs/reference/javascript/explain","ref":"Supabase.PostgREST.TransformBuilder.html#explain/2-see-also"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.geojson/1","doc":"Return `data` as an object in [GeoJSON](https://geojson.org) format.","ref":"Supabase.PostgREST.TransformBuilder.html#geojson/1"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.geojson/1","doc":"iex> PostgREST.csv(builder)\n    %Builder{headers: %{\"accept\" => \"application/geo+json\"}}","ref":"Supabase.PostgREST.TransformBuilder.html#geojson/1-examples"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.limit/3","doc":"Limits the number of results returned by the query, optionally scoping this limit to a specific foreign table.","ref":"Supabase.PostgREST.TransformBuilder.html#limit/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.TransformBuilder.limit/3","doc":"- `builder`: The Builder instance.\n- `count`: The maximum number of results to return.\n- `opts`: Optional parameters, which may include a foreign table.","ref":"Supabase.PostgREST.TransformBuilder.html#limit/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.limit/3","doc":"iex> PostgREST.limit(builder, 10)","ref":"Supabase.PostgREST.TransformBuilder.html#limit/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.limit/3","doc":"- Supabase query limits: https://supabase.com/docs/reference/javascript/using-filters#limit","ref":"Supabase.PostgREST.TransformBuilder.html#limit/3-see-also"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.maybe_single/1","doc":"Return `data` as a single object instead of an array of objects.\nQuery result must be one row (e.g. using `.limit(1)`), otherwise this returns an error.","ref":"Supabase.PostgREST.TransformBuilder.html#maybe_single/1"},{"type":"function","title":"Parameters - Supabase.PostgREST.TransformBuilder.maybe_single/1","doc":"- `builder`: The Builder instance to modify.","ref":"Supabase.PostgREST.TransformBuilder.html#maybe_single/1-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.maybe_single/1","doc":"iex> PostgREST.single(builder)","ref":"Supabase.PostgREST.TransformBuilder.html#maybe_single/1-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.maybe_single/1","doc":"- Supabase single row mode: https://supabase.com/docs/reference/javascript/using-filters#single-row","ref":"Supabase.PostgREST.TransformBuilder.html#maybe_single/1-see-also"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.order/3","doc":"Order the query result by `column`.\nYou can call this method multiple times to order by multiple columns.\nYou can order referenced tables, but it only affects the ordering of the parent table if you use `!inner` in the query.","ref":"Supabase.PostgREST.TransformBuilder.html#order/3"},{"type":"function","title":"Parameters - Supabase.PostgREST.TransformBuilder.order/3","doc":"- `builder`: The Builder instance.\n- `column`: The column by which to order the results.\n- `opts`: Options such as direction (`:asc` or `:desc`) and null handling (`:null_first` or `:null_last`).","ref":"Supabase.PostgREST.TransformBuilder.html#order/3-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.order/3","doc":"iex> PostgREST.order(builder, \"created_at\", asc: true, null_first: false)","ref":"Supabase.PostgREST.TransformBuilder.html#order/3-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.order/3","doc":"- Supabase ordering results: https://supabase.com/docs/reference/javascript/using-filters#order","ref":"Supabase.PostgREST.TransformBuilder.html#order/3-see-also"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.range/4","doc":"Limit the query result by starting at an offset `from` and ending at the offset `to`. Only records within this range are returned.\nThis respects the query order and if there is no order clause the range could behave unexpectedly.\nThe `from` and `to` values are 0-based and inclusive: `range(1, 3)` will include the second, third and fourth rows of the query.","ref":"Supabase.PostgREST.TransformBuilder.html#range/4"},{"type":"function","title":"Parameters - Supabase.PostgREST.TransformBuilder.range/4","doc":"- `builder`: The Builder instance.\n- `from`: The starting index for the results.\n- `to`: The ending index for the results, inclusive.","ref":"Supabase.PostgREST.TransformBuilder.html#range/4-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.range/4","doc":"iex> PostgREST.range(builder, 0, 10)","ref":"Supabase.PostgREST.TransformBuilder.html#range/4-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.range/4","doc":"- Supabase range queries: https://supabase.com/docs/reference/javascript/using-filters#range","ref":"Supabase.PostgREST.TransformBuilder.html#range/4-see-also"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.returning/1","doc":"Perform a SELECT on the query result.\n \nBy default, `.insert()`, `.update()`, `.upsert()`, and `.delete()` do not\nreturn modified rows. By calling this method, modified rows are returned in\n`data`.\n\n**Do not** confuse with the `Supabase.PostgREST.QueryBuilder.select/3` function.","ref":"Supabase.PostgREST.TransformBuilder.html#returning/1"},{"type":"function","title":"Params - Supabase.PostgREST.TransformBuilder.returning/1","doc":"If called without additional arguments (besides builder), it will fallback to select all\nrelation (table) columns (with `\"*\"`), otherwise you can pass a list of strings representing\nthe columns to be selected","ref":"Supabase.PostgREST.TransformBuilder.html#returning/1-params"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.returning/1","doc":"iex> PostgREST.insert(builder, %{foo: :bar}) |> PostgREST.returning(~w(id foo))","ref":"Supabase.PostgREST.TransformBuilder.html#returning/1-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.returning/1","doc":"https://supabase.com/docs/reference/javascript/db-modifiers-select","ref":"Supabase.PostgREST.TransformBuilder.html#returning/1-see-also"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.rollback/1","doc":"Rollback the query. `data` will still be returned, but the query is not committed.","ref":"Supabase.PostgREST.TransformBuilder.html#rollback/1"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.rollback/1","doc":"iex> PostgREST.rollback(builder)\n    %Builder{headers: %{\"prefer\" => \"tx=rollback\"}}","ref":"Supabase.PostgREST.TransformBuilder.html#rollback/1-examples"},{"type":"function","title":"Supabase.PostgREST.TransformBuilder.single/1","doc":"Return `data` as a single object instead of an array of objects.\nQuery result must be one row (e.g. using `.limit(1)`), otherwise this returns an error.","ref":"Supabase.PostgREST.TransformBuilder.html#single/1"},{"type":"function","title":"Parameters - Supabase.PostgREST.TransformBuilder.single/1","doc":"- `builder`: The Builder instance to modify.","ref":"Supabase.PostgREST.TransformBuilder.html#single/1-parameters"},{"type":"function","title":"Examples - Supabase.PostgREST.TransformBuilder.single/1","doc":"iex> PostgREST.single(builder)","ref":"Supabase.PostgREST.TransformBuilder.html#single/1-examples"},{"type":"function","title":"See also - Supabase.PostgREST.TransformBuilder.single/1","doc":"- Supabase single row mode: https://supabase.com/docs/reference/javascript/using-filters#single-row","ref":"Supabase.PostgREST.TransformBuilder.html#single/1-see-also"},{"type":"behaviour","title":"Supabase.PostgREST.TransformBuilder.Behaviour","doc":"Defines the interface for the TransformBuilder module","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.csv/1","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:csv/1"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.explain/2","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:explain/2"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.geojson/1","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:geojson/1"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.limit/2","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:limit/2"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.limit/3","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:limit/3"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.maybe_single/1","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:maybe_single/1"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.order/3","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:order/3"},{"type":"type","title":"Supabase.PostgREST.TransformBuilder.Behaviour.order_options/0","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#t:order_options/0"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.range/3","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:range/3"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.range/4","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:range/4"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.returning/1","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:returning/1"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.returning/2","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:returning/2"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.rollback/1","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:rollback/1"},{"type":"callback","title":"Supabase.PostgREST.TransformBuilder.Behaviour.single/1","doc":"","ref":"Supabase.PostgREST.TransformBuilder.Behaviour.html#c:single/1"},{"type":"extras","title":"Supabase PostgREST","doc":"# Supabase PostgREST\n\n[PostgREST](https://supabase.com/docs/guides/database/overview) implementation for the [Supabase Potion](https://hexdocs.pm/supabase_potion) SDK in Elixir.\n\nThe `Supabase.PostgREST` module provides a suite of functions to interact with a Supabase PostgREST API using a fluent interface. This allows you to construct and execute complex queries in the context of a Supabase database application, facilitating a more functional approach to managing database operations in Elixir.\n\nPlease, refers to the [official Supabase PostgREST](https://supabase.com/docs/guides/api) documentation to have the context on how to apply query and filters on your data, and also configure your project to expose the PostgREST API.","ref":"readme.html"},{"type":"extras","title":"Installation - Supabase PostgREST","doc":"Add the following dependencies to your `mix.exs` file:\n\n```elixir\ndef deps do\n  [\n    {:supabase_potion, \"~> 0.5\"},\n    {:supabase_postgrest, \"~> 0.2\"}\n  ]\nend\n```\n\nThen, run `mix deps.get` to fetch the dependencies.","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Supabase PostgREST","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Initializing the Client - Supabase PostgREST","doc":"Before using the `Supabase.PostgREST` module, you need to initialize a Supabase client. This client handles the authentication and configuration needed to interact with the Supabase services.\n\nYou can initialize the client as can be found on the [Supabase Potion documentation](https://hexdocs.pm/supabase_potion/readme.html#usage)\n\nThis client struct is passed to the various `Supabase.PostgREST` functions to perform operations on your Supabase database.","ref":"readme.html#initializing-the-client"},{"type":"extras","title":"Basic Operations - Supabase PostgREST","doc":"Here’s how you can perform common operations using the `Supabase.PostgREST` module.\n\nNote that all operations and filters on `Supabase.PostgREST` are **lazy**, that means that queries, insertions, deletions and updates are only executed when you explicit call `Supabase.PostgREST.execute/1`.\n\n#### Selecting Data\n\nTo select records from a table, use the `from/2` and `select/3` functions:\n\n```elixir\niex> alias Supabase.PostgREST, as: Q\niex> Q.from(client, \"users\") |> Q.select(\"*\", returning: true) |> Q.execute()\niex> {:ok, result} | {:error, %Supabase.PostgREST.Error{}}\n```\n\nYou can specify the columns to retrieve instead of using `*`:\n\n```elixir\niex> Q.select(query, [\"id\", \"name\"], returning: true)\n```\n\n#### Inserting Data\n\nTo insert new records, use the `insert/3` function:\n\n```elixir\niex> alias Supabase.PostgREST, as: Q\niex> Q.from(client, \"users\") |> Q.insert(%{name: \"John Doe\", age: 30}, returning: :representation) |> Q.execute()\niex> {:ok, result} | {:error, %Supabase.PostgREST.Error{}}\n```\n\n#### Updating Data\n\nTo update existing records, use the `update/3` function:\n\n```elixir\niex> alias Supabase.PostgREST, as: Q\niex> Q.from(client, \"users\") |> Q.eq(\"id\", 1) |> Q.update(%{name: \"John Smith\"}, returning: :representation) |> Q.execute()\niex> {:ok, result} | {:error, %Supabase.PostgREST.Error{}}\n```\n\n#### Deleting Data\n\nTo delete records, use the `delete/2` function:\n\n```elixir\niex> alias Supabase.PostgREST, as: Q\niex> Q.from(client, \"users\") |> Q.eq(\"id\", 1) |> Q.delete(query, returning: :representation) |> Q.execute()\niex> {:ok, result} | {:error, %Supabase.PostgREST.Error{}}\n```","ref":"readme.html#basic-operations"},{"type":"extras","title":"Filtering Data - Supabase PostgREST","doc":"You can apply various filters to your queries using functions like `eq/3`, `lt/3`, `gt/3`, etc.\n\n```elixir\niex> alias Supabase.PostgREST, as: Q\niex> Q.from(client, \"users\") |> Q.eq(\"status\", \"active\") |> Q.select(\"*\", returning: true) |> Q.execute()\niex> {:ok, result} | {:error, %Supabase.PostgREST.Error{}}\n```","ref":"readme.html#filtering-data"},{"type":"extras","title":"Advanced Query Building - Supabase PostgREST","doc":"You can also perform more advanced operations like full-text search, ordering, limiting, and combining filters using logical operators:\n\n```elixir\niex> alias Supabase.PostgREST, as: Q\niex> Q.from(client, \"users\")\n     |> Q.text_search(\"name\", \"John\", type: :plain)\n     |> Q.order(\"created_at\", asc: true)\n     |> Q.select([\"id\", \"name\", \"created_at\"], returning: true)\n     |> Q.execute()\niex> {:ok, result} | {:error, %Supabase.PostgREST.Error{}}\n```","ref":"readme.html#advanced-query-building"},{"type":"extras","title":"Executing Queries - Supabase PostgREST","doc":"After constructing a query, you can execute it using the `execute/1` or `execute_to/2` functions. The `execute_to/2` function allows you to map the results directly to a specific schema:\n\n```elixir\niex> defmodule User, do: defstruct([:id])\niex> alias Supabase.PostgREST, as: Q\niex> Q.from(client, \"users\")\n     |> Q.eq(\"id\", 1)\n     |> Q.select([\"id\"], returning: true)\n     |> Q.execute_to(User)\niex> {:ok, %User{} = user} | {:error, %Supabase.PostgREST.Error{}}\n```","ref":"readme.html#executing-queries"},{"type":"extras","title":"Contributing - Supabase PostgREST","doc":"If you find any issues or have suggestions for improvements, please feel free to open an issue or a pull request on the GitHub repository.","ref":"readme.html#contributing"},{"type":"extras","title":"License - Supabase PostgREST","doc":"This project is licensed under the MIT License.\n\n---\n\nThis README provides a clear and structured guide for users of your package, with accurate examples and explanations of how to use the various functions provided by the `Supabase.PostgREST` module.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}